OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, 1 > Struct Template Reference

`#include <openvdb/points/PointDataGrid.h>`

## Public Types
using | LeafNodeT = PointDataLeafNode< PointDataIndex32, ChildT::LOG2DIM >
using | InternalNodeT = tree::InternalNode< LeafNodeT, Log2Dim >
using | Type = TypeList< LeafNodeT, InternalNodeT >

## Member Typedef Documentation

## ◆ InternalNodeT

template<typename ChildT , Index Log2Dim>

using InternalNodeT = tree::InternalNode<LeafNodeT, Log2Dim>

## ◆ LeafNodeT

template<typename ChildT , Index Log2Dim>

using LeafNodeT = PointDataLeafNode<PointDataIndex32, ChildT::LOG2DIM>

## ◆ Type

template<typename ChildT , Index Log2Dim>

using Type = TypeList<LeafNodeT, InternalNodeT>